Merge vendors
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/vendors/{vendorId}/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vendor_to_archive_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/vendors/{vendorId}/merge"
payload = { "vendor_to_archive_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({vendor_to_archive_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/vendors/{vendorId}/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "VendorData",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
}
}Vendors
Merge vendors
Merges one vendor into another.
POST
/
v1
/
businesses
/
{businessId}
/
vendors
/
{vendorId}
/
merge
Merge vendors
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business the vendors belong to.
The UUID of the vendor to merge into (target vendor).
Body
application/json
UUID of the vendor that will be archived after merging.
Response
200 - application/json
Vendors merged successfully.
Show child attributes
Show child attributes
āI